/*
	DooM INFO.c processor, by Frans P. de Vries.

Derived from:

	DooM MaP StaTistics, by Frans P. de Vries.

	You are allowed to use any parts of this code in another program, as
	long as you give credits to the authors in the documentation and in
	the program itself.  Read the file README for more information.

	This program comes with absolutely no warranty.

	MAPS.C - Mappings of enums to strings
*/

#include "../common/maps.h"
#include "p_mobj.h"

char *mobjstr[] = {
	"MT_PLAYER",
	"MT_POSSESSED",
	"MT_SHOTGUY",
	"MT_VILE",
	"MT_FIRE",
	"MT_UNDEAD",
	"MT_TRACER",
	"MT_SMOKE",
	"MT_FATSO",
	"MT_FATSHOT",
	"MT_CHAINGUY",
	"MT_TROOP",
	"MT_SERGEANT",
	"MT_SHADOWS",
	"MT_HEAD",
	"MT_BRUISER",
	"MT_BRUISERSHOT",
	"MT_KNIGHT",
	"MT_SKULL",
	"MT_SPIDER",
	"MT_BABY",
	"MT_CYBORG",
	"MT_PAIN",
	"MT_WOLFSS",
	"MT_KEEN",
	"MT_BOSSBRAIN",
	"MT_BOSSSPIT",
	"MT_BOSSTARGET",
	"MT_SPAWNSHOT",
	"MT_SPAWNFIRE",
	"MT_BARREL",
	"MT_TROOPSHOT",
	"MT_HEADSHOT",
	"MT_ROCKET",
	"MT_PLASMA",
	"MT_BFG",
	"MT_ARACHPLAZ",
	"MT_PUFF",
	"MT_BLOOD",
	"MT_TFOG",
	"MT_IFOG",
	"MT_TELEPORTMAN",
	"MT_EXTRABFG",
	"MT_MISC0",
	"MT_MISC1",
	"MT_MISC2",
	"MT_MISC3",
	"MT_MISC4",
	"MT_MISC5",
	"MT_MISC6",
	"MT_MISC7",
	"MT_MISC8",
	"MT_MISC9",
	"MT_MISC10",
	"MT_MISC11",
	"MT_MISC12",
	"MT_INV",
	"MT_MISC13",
	"MT_INS",
	"MT_MISC14",
	"MT_MISC15",
	"MT_MISC16",
	"MT_MEGA",
	"MT_CLIP",
	"MT_MISC17",
	"MT_MISC18",
	"MT_MISC19",
	"MT_MISC20",
	"MT_MISC21",
	"MT_MISC22",
	"MT_MISC23",
	"MT_MISC24",
	"MT_MISC25",
	"MT_CHAINGUN",
	"MT_MISC26",
	"MT_MISC27",
	"MT_MISC28",
	"MT_SHOTGUN",
	"MT_SUPERSHOTGUN",
	"MT_MISC29",
	"MT_MISC30",
	"MT_MISC31",
	"MT_MISC32",
	"MT_MISC33",
	"MT_MISC34",
	"MT_MISC35",
	"MT_MISC36",
	"MT_MISC37",
	"MT_MISC38",
	"MT_MISC39",
	"MT_MISC40",
	"MT_MISC41",
	"MT_MISC42",
	"MT_MISC43",
	"MT_MISC44",
	"MT_MISC45",
	"MT_MISC46",
	"MT_MISC47",
	"MT_MISC48",
	"MT_MISC49",
	"MT_MISC50",
	"MT_MISC51",
	"MT_MISC52",
	"MT_MISC53",
	"MT_MISC54",
	"MT_MISC55",
	"MT_MISC56",
	"MT_MISC57",
	"MT_MISC58",
	"MT_MISC59",
	"MT_MISC60",
	"MT_MISC61",
	"MT_MISC62",
	"MT_MISC63",
	"MT_MISC64",
	"MT_MISC65",
	"MT_MISC66",
	"MT_MISC67",
	"MT_MISC68",
	"MT_MISC69",
	"MT_MISC70",
	"MT_MISC71",
	"MT_MISC72",
	"MT_MISC73",
	"MT_MISC74",
	"MT_MISC75",
	"MT_MISC76",
	"MT_MISC77",
	"MT_MISC78",
	"MT_MISC79",
	"MT_MISC80",
	"MT_MISC81",
	"MT_MISC82",
	"MT_MISC83",
	"MT_MISC84",
	"MT_MISC85",
	"MT_MISC86"
};

#define NUMWEAPS 9
int iNUMWEAPS = NUMWEAPS;

char *weaponstr[NUMWEAPS] = {
	"Fist",
	"Pistol",
	"Shotgun",
	"Chaingun",
	"Rocket launcher",
	"Plasma gun",
	"BFG9000",
	"Chainsaw",
	"Super shotgun",
};


#define NUMFLAGS 26
int iNUMFLAGS = NUMFLAGS;

mflagstr_t mflagstr[NUMFLAGS] = {
/*  0 */ { MF_SPECIAL     , "Can be picked up" },
/*  1 */ { MF_SOLID       , "Obstacle" },
/*  2 */ { MF_SHOOTABLE   , "Shootable" },
/*  3 */ { MF_NOSECTOR    , "No sector links (Invisible)" },
/*  4 */ { MF_NOBLOCKMAP  , "No blocklinks (Inert)" },
/*  5 */ { MF_AMBUSH      , "Ambush (Semi-deaf)" },
/*  6 */ { MF_JUSTHIT     , "Just hit (In pain)" },
/*  7 */ { MF_JUSTATTACKED, "Just attacked (Step first)" },
/*  8 */ { MF_SPAWNCEILING, "Hangs from ceiling" },
/*  9 */ { MF_NOGRAVITY   , "No gravity" },
/* 10 */ { MF_DROPOFF     , "Drops off ledges" },
/* 11 */ { MF_PICKUP      , "Picks up items" },
/* 12 */ { MF_NOCLIP      , "No clipping" },
/* 13 */ { MF_SLIDE       , "Sliding along walls" },
/* 14 */ { MF_FLOAT       , "Floating" },
/* 15 */ { MF_TELEPORT    , "No line crossing" },
/* 16 */ { MF_MISSILE     , "Projectile" },
/* 17 */ { MF_DROPPED     , "Dropped by enemy" },
/* 18 */ { MF_SHADOW      , "Partial invisibility" },
/* 19 */ { MF_NOBLOOD     , "Puffs vs. blood" },
/* 20 */ { MF_CORPSE      , "Sliding corpse" },
/* 21 */ { MF_INFLOAT     , "No auto-leveling" },
/* 22 */ { MF_COUNTKILL   , "Affects kill %" },
/* 23 */ { MF_COUNTITEM   , "Affects item %" },
/* 24 */ { MF_SKULLFLY    , "Flying skull" },
/* 25 */ { MF_NOTDMATCH   , "Not in deathmatch" },
};

#define NUMMONST 21
int iNUMMONST = NUMMONST;

monststr_t monststr[NUMMONST] = {
	{ MT_POSSESSED, "Zombieman" },
	{ MT_SHOTGUY  , "Shotgun guy" },
	{ MT_VILE     , "Arch-vile" },
	{ MT_UNDEAD   , "Revenant" },
	{ MT_FATSO    , "Mancubus" },
	{ MT_CHAINGUY , "Heavy weapon dude" },
	{ MT_TROOP    , "Imp" },
	{ MT_SERGEANT , "Demon" },
	{ MT_SHADOWS  , "Spectre" },
	{ MT_HEAD     , "Cacodemon" },
	{ MT_BRUISER  , "Baron of Hell" },
	{ MT_KNIGHT   , "Hell knight" },
	{ MT_SKULL    , "Lost soul" },
	{ MT_SPIDER   , "Spiderdemon" },
	{ MT_BABY     , "Arachnotron" },
	{ MT_CYBORG   , "Cyberdemon" },
	{ MT_PAIN     , "Pain elemental" },
	{ MT_WOLFSS   , "Wolfenstein SS" },
	{ MT_KEEN     , "Commander Keen" },
	{ MT_BOSSBRAIN, "Boss brain" },
	{ MT_BARREL   , "Barrel" },
};

/* vim:set noexpandtab tabstop=2 softtabstop=2 shiftwidth=2: */
