
// P_pspr.c

#include "doomdef.h"
//#include "p_local.h"
//#include "soundst.h"

// Macros

#define LOWERSPEED FRACUNIT*6
#define RAISESPEED FRACUNIT*6
#define WEAPONBOTTOM 128*FRACUNIT
#define WEAPONTOP 32*FRACUNIT
#define FLAME_THROWER_TICS 10*35
#define MAGIC_JUNK 1234
#define MAX_MACE_SPOTS 8

/*
static int MaceSpotCount;
static struct
{
	fixed_t x;
	fixed_t y;
} MaceSpots[MAX_MACE_SPOTS];

fixed_t bulletslope;

static int WeaponAmmoUsePL1[NUMWEAPONS] = {
	0,					// staff
	USE_GWND_AMMO_1,	// gold wand
	USE_CBOW_AMMO_1,	// crossbow
	USE_BLSR_AMMO_1,	// blaster
	USE_SKRD_AMMO_1,	// skull rod
	USE_PHRD_AMMO_1,	// phoenix rod
	USE_MACE_AMMO_1,	// mace
	0,					// gauntlets
	0					// beak
};

static int WeaponAmmoUsePL2[NUMWEAPONS] = {
	0,					// staff
	USE_GWND_AMMO_2,	// gold wand
	USE_CBOW_AMMO_2,	// crossbow
	USE_BLSR_AMMO_2,	// blaster
	USE_SKRD_AMMO_2,	// skull rod
	USE_PHRD_AMMO_2,	// phoenix rod
	USE_MACE_AMMO_2,	// mace
	0,					// gauntlets
	0					// beak
};
*/

weaponinfo_t wpnlev1info[NUMWEAPONS] =
{
	{ // Staff
		am_noammo,			// ammo
		S_STAFFUP,			// upstate
		S_STAFFDOWN,		// downstate
		S_STAFFREADY,		// readystate
		S_STAFFATK1_1,		// atkstate
		S_STAFFATK1_1,		// holdatkstate
		S_NULL				// flashstate
	},
	{ // Gold wand
		am_goldwand,		// ammo
		S_GOLDWANDUP,		// upstate
		S_GOLDWANDDOWN,		// downstate
		S_GOLDWANDREADY,	// readystate
		S_GOLDWANDATK1_1,	// atkstate
		S_GOLDWANDATK1_1,	// holdatkstate
		S_NULL				// flashstate
	},
	{ // Crossbow
		am_crossbow,		// ammo
		S_CRBOWUP,			// upstate
		S_CRBOWDOWN,		// downstate
		S_CRBOW1,			// readystate
		S_CRBOWATK1_1,		// atkstate
		S_CRBOWATK1_1,		// holdatkstate
		S_NULL				// flashstate
	},
	{ // Blaster
		am_blaster,			// ammo
		S_BLASTERUP,		// upstate
		S_BLASTERDOWN,		// downstate
		S_BLASTERREADY,		// readystate
		S_BLASTERATK1_1,	// atkstate
		S_BLASTERATK1_3,	// holdatkstate
		S_NULL				// flashstate
	},
	{ // Skull rod
		am_skullrod,		// ammo
		S_HORNRODUP,		// upstate
		S_HORNRODDOWN,		// downstate
		S_HORNRODREADY,		// readystae
		S_HORNRODATK1_1,	// atkstate
		S_HORNRODATK1_1,	// holdatkstate
		S_NULL				// flashstate
	},
	{ // Phoenix rod
		am_phoenixrod,		// ammo
		S_PHOENIXUP,		// upstate
		S_PHOENIXDOWN,		// downstate
		S_PHOENIXREADY,		// readystate
		S_PHOENIXATK1_1,	// atkstate
		S_PHOENIXATK1_1,	// holdatkstate
		S_NULL				// flashstate
	},
	{ // Mace
		am_mace,			// ammo
		S_MACEUP,			// upstate
		S_MACEDOWN,			// downstate
		S_MACEREADY,		// readystate
		S_MACEATK1_1,		// atkstate
		S_MACEATK1_2,		// holdatkstate
		S_NULL				// flashstate
	},
	{ // Gauntlets
		am_noammo,			// ammo
		S_GAUNTLETUP,		// upstate
		S_GAUNTLETDOWN,		// downstate
		S_GAUNTLETREADY,	// readystate
		S_GAUNTLETATK1_1,	// atkstate
		S_GAUNTLETATK1_3,	// holdatkstate
		S_NULL				// flashstate
	},
	{ // Beak
		am_noammo,			// ammo
		S_BEAKUP,			// upstate
		S_BEAKDOWN,			// downstate
		S_BEAKREADY,		// readystate
		S_BEAKATK1_1,		// atkstate
		S_BEAKATK1_1,		// holdatkstate
		S_NULL				// flashstate
	}
};

weaponinfo_t wpnlev2info[NUMWEAPONS] =
{
	{ // Staff
		am_noammo,			// ammo
		S_STAFFUP2,			// upstate
		S_STAFFDOWN2,		// downstate
		S_STAFFREADY2_1,	// readystate
		S_STAFFATK2_1,		// atkstate
		S_STAFFATK2_1,		// holdatkstate
		S_NULL				// flashstate
	},
	{ // Gold wand
		am_goldwand,		// ammo
		S_GOLDWANDUP,		// upstate
		S_GOLDWANDDOWN,		// downstate
		S_GOLDWANDREADY,	// readystate
		S_GOLDWANDATK2_1,	// atkstate
		S_GOLDWANDATK2_1,	// holdatkstate
		S_NULL				// flashstate
	},
	{ // Crossbow
		am_crossbow,		// ammo
		S_CRBOWUP,			// upstate
		S_CRBOWDOWN,		// downstate
		S_CRBOW1,			// readystate
		S_CRBOWATK2_1,		// atkstate
		S_CRBOWATK2_1,		// holdatkstate
		S_NULL				// flashstate
	},
	{ // Blaster
		am_blaster,			// ammo
		S_BLASTERUP,		// upstate
		S_BLASTERDOWN,		// downstate
		S_BLASTERREADY,		// readystate
		S_BLASTERATK2_1,	// atkstate
		S_BLASTERATK2_3,	// holdatkstate
		S_NULL				// flashstate
	},
	{ // Skull rod
		am_skullrod,		// ammo
		S_HORNRODUP,		// upstate
		S_HORNRODDOWN,		// downstate
		S_HORNRODREADY,		// readystae
		S_HORNRODATK2_1,	// atkstate
		S_HORNRODATK2_1,	// holdatkstate
		S_NULL				// flashstate
	},
	{ // Phoenix rod
		am_phoenixrod,		// ammo
		S_PHOENIXUP,		// upstate
		S_PHOENIXDOWN,		// downstate
		S_PHOENIXREADY,		// readystate
		S_PHOENIXATK2_1,	// atkstate
		S_PHOENIXATK2_2,	// holdatkstate
		S_NULL				// flashstate
	},
	{ // Mace
		am_mace,			// ammo
		S_MACEUP,			// upstate
		S_MACEDOWN,			// downstate
		S_MACEREADY,		// readystate
		S_MACEATK2_1,		// atkstate
		S_MACEATK2_1,		// holdatkstate
		S_NULL				// flashstate
	},
	{ // Gauntlets
		am_noammo,			// ammo
		S_GAUNTLETUP2,		// upstate
		S_GAUNTLETDOWN2,	// downstate
		S_GAUNTLETREADY2_1,	// readystate
		S_GAUNTLETATK2_1,	// atkstate
		S_GAUNTLETATK2_3,	// holdatkstate
		S_NULL				// flashstate
	},
	{ // Beak
		am_noammo,			// ammo
		S_BEAKUP,			// upstate
		S_BEAKDOWN,			// downstate
		S_BEAKREADY,		// readystate
		S_BEAKATK2_1,		// atkstate
		S_BEAKATK2_1,		// holdatkstate
		S_NULL				// flashstate
	}
};

