/*
	HereTic INFO.c processor, by Frans P. de Vries.

Derived from:

	DooM MaP StaTistics, by Frans P. de Vries.

	You are allowed to use any parts of this code in another program, as
	long as you give credits to the authors in the documentation and in
	the program itself.  Read the file README for more information.

	This program comes with absolutely no warranty.

	THINGS.H - Thing type and flag definitions.
*/

#ifndef THINGS_H
#define THINGS_H

/*
	the global function prototypes
*/
void InitHereticThings( void);


/* Heretic Things */

/* Enemies */
#define THING_GARGOYLE        66
#define THING_FRGARGOYLE      5
#define THING_GOLEM           68
#define THING_GOLEMGH         69
#define THING_NTGOLEM         45
#define THING_NTGOLEMGH       46
#define THING_SABRECLAW       90
#define THING_DISCIPLE        15
#define THING_WARRIOR         64
#define THING_WARRIORGH       65
#define THING_WEREDRAGON      70
#define THING_OPHIDIAN        92
#define THING_IRONLICH        6
#define THING_MAULOTAUR       9
#define THING_DSPARIL         7

/* Weapons & ammo */
#define THING_GAUNTLETS       2005
#define THING_CROSSBOW        2001
#define THING_DRAGONCLAW      53
#define THING_HELLSTAFF       2004
#define THING_PHOENIXROD      2003
#define THING_FIREMACE        2002
#define THING_CRYSTAL         10
#define THING_CRGEODE         12
#define THING_ARROWS          18
#define THING_ARQUIVER        19
#define THING_CLAWORB         54
#define THING_ENERGYORB       55
#define THING_RUNESSML        20
#define THING_RUNESLRG        21
#define THING_FLAMEORBSML     22
#define THING_FLAMEORBLRG     23
#define THING_MACESPHSML      13
#define THING_MACESPHLRG      16

/* Enhancements & bonuses */
#define THING_CRYSTALVIAL     81
#define THING_ENCHSHIELD      31
#define THING_SILVSHIELD      85

#define THING_BAGHOLDING      8
#define THING_CHAOSDEV        36
#define THING_MAPSCROLL       35
#define THING_MORPHOVUM       30
#define THING_MYSTICURN       32
#define THING_QUARTZFLASK     82
#define THING_RINGINVULN      84
#define THING_SHADOWSPHR      75
#define THING_TIMEBOMB        34
#define THING_TOMEPOWER       86
#define THING_TORCH           33
#define THING_WINGS           83

/* Keys */
#define THING_BLUEKEY         79
#define THING_GREENKEY        73
#define THING_YELLOWKEY       80

/* Specials */
#define THING_DSPARILSPOT     56
#define THING_GLITTELEPORT    74
#define THING_GLITTELEEXIT    52
#define THING_KEYGIZMOBLUE    94
#define THING_KEYGIZMOGREEN   95
#define THING_KEYGIZMOYELLOW  96
#define THING_POD             2035
#define THING_PODGENERATOR    43
#define THING_VOLCANO         87

/* Decorations */
#define THING_BROWNBARREL     44
#define THING_TBROWNPILLAR    47
#define THING_SGREYPILLAR     29

#define THING_WALLTORCH       50
#define THING_SERPENTTORCH    27
#define THING_CHANDELIER      28
#define THING_FIREBRAZIER     76

#define THING_MOSS1STR        49
#define THING_MOSS3STR        48
#define THING_STALACTSMALL    39
#define THING_STALACTLARGE    40
#define THING_STALAGMSMALL    37
#define THING_STALAGMLARGE    38

#define THING_HANGINGCORPSE   51
#define THING_HANGINGSKULL1   26
#define THING_HANGINGSKULL2   25
#define THING_HANGINGSKULL3   24
#define THING_HANGINGSKULL4   17

/* Ambient sounds */
#define THING_SNDBELSS        1205
#define THING_SNDDROPS        1202
#define THING_SNDFASTFOOT     1209
#define THING_SNDGROWL        1206
#define THING_SNDHEARTBEAT    1204
#define THING_SNDLAUGHTER     1208
#define THING_SNDMAGIC        1207
#define THING_SNDSCREAM       1200
#define THING_SNDSLOWFOOT     1203
#define THING_SNDSQUISH       1201
#define THING_SNDWATERFALL    41
#define THING_SNDWIND         42

#endif /* THINGS_H */

/* vim:set noexpandtab tabstop=2 softtabstop=2 shiftwidth=2: */
