/*
	HeXen INFO.c processor, by Frans P. de Vries.

Derived from:

	DooM MaP StaTistics, by Frans P. de Vries.

	You are allowed to use any parts of this code in another program, as
	long as you give credits to the authors in the documentation and in
	the program itself.  Read the file README for more information.

	This program comes with absolutely no warranty.

	THINGS.H - Thing type and flag definitions.
*/

#ifndef THINGS_H
#define THINGS_H

/*
	the global function prototypes
*/
void InitHexenThings( void);


/* Hexen Things */

/* Starting points */
#define THING_PLAYER5X        9100
#define THING_PLAYER6X        9101
#define THING_PLAYER7X        9102
#define THING_PLAYER8X        9103

/* Enemies */
#define THING_AFRIT           10060
#define THING_STALKER         121
#define THING_STALKERBOSS     120
#define THING_WENDIGO         8020
#define THING_DARKBISHOP      114
#define THING_REIVER          34
#define THING_REIVERBURIED    10011
#define THING_ETTIN           10030
#define THING_CENTAUR         107
#define THING_BROWNCSERP      8080
#define THING_GREENCSERP      31
#define THING_SLAUGHTAUR      115
#define THING_DEATHWYVERN     254
#define THING_MENELKIR        10102
#define THING_TRADUCTUS       10101
#define THING_ZEDEK           10100
#define THING_HERESIARCH      10080
#define THING_KORAX           10200

/* Weapons & ammo */
#define THING_TIMONSAXE       8010
#define THING_HAMMERRETR      123
#define THING_QUIETUSHILT     16
#define THING_QUIETUSCROSS    13
#define THING_QUIETUSBLADE    12
#define THING_SERPENTSTAFF    10
#define THING_FIRESTORM       8009
#define THING_WVERGESHAFT     20
#define THING_WVERGECROSS     19
#define THING_WVERGEARC       18
#define THING_FROSTSHARDS     53
#define THING_ARCDEATH        8040
#define THING_BSCOURGESTICK   23
#define THING_BSCOURGESTUB    22
#define THING_BSCOURGESKULL   21
#define THING_BLUEMANA        122
#define THING_GREENMANA       124
#define THING_COMBMANA        8004

/* Enhancements & bonuses */
#define THING_CRYSTALVIAL     81
#define THING_AMULETWARD      8008
#define THING_FALCONSHIELD    8006
#define THING_MESHARMOR       8005
#define THING_PLATINUMHELM    8007

#define THING_BANISHDEV       10040
#define THING_BOOTSSPEED      8002
#define THING_CHAOSDEV        36
#define THING_DARKSERVANT     86
#define THING_DISCREPULS      10110
#define THING_DSKINBRACERS    8041
#define THING_FLECHETTE       8000
#define THING_ICONDEFEND      84
#define THING_KRATERMIGHT     8003
#define THING_MYSTAMBINC      10120
#define THING_MYSTICURN       32
#define THING_PORKALATOR      30
#define THING_QUARTZFLASK     82
#define THING_TORCH           33
#define THING_WINGS           83

/* Puzzle items */
#define THING_FLAMEMASK       9014
#define THING_HEARTDSPARIL    9003
#define THING_EMERALDPLANET1  9005
#define THING_EMERALDPLANET2  9009
#define THING_RUBYPLANET      9004
#define THING_SAPPHPLANET1    9006
#define THING_SAPPHPLANET2    9010
#define THING_CLOCKGBRNZSTL   9021
#define THING_CLOCKGBRONZE    9019
#define THING_CLOCKGSTLBRNZ   9020
#define THING_CLOCKGSTEEL     9018
#define THING_DAEMONCODEX     9007
#define THING_LIBEROSCURA     9008
#define THING_YORICKSSKULL    9002
#define THING_GLAIVESEAL      9015
#define THING_HOLYRELIC       9016
#define THING_SIGILMAGUS      9017

/* Keys */
#define THING_AXEKEY          8032
#define THING_CASTLEKEY       8200
#define THING_CAVEKEY         8031
#define THING_DUNGEONKEY      8035
#define THING_EMERALDKEY      8034
#define THING_FIREKEY         8033
#define THING_HORNKEY         8038
#define THING_RUSTYKEY        8037
#define THING_SILVERKEY       8036
#define THING_STEELKEY        8030
#define THING_SWAMPKEY        8039

/* Obstacles */
#define THING_WINGEDSTATUE    5
#define THING_YORICKSTATUE    9011
#define THING_PEDDSPARIL      9012
#define THING_TOMBRIP         63
#define THING_TOMBSHANE       64
#define THING_TOMBSLIMY       65
#define THING_TOMBBRIANR      66
#define THING_TOMBCRSCIRC     67
#define THING_TOMBSMCROSS     68
#define THING_TOMBBRIANP      69
#define THING_IMPALEDCORPSE   61
#define THING_HANGINGCORPSE   71
#define THING_LYNCHDCORPSE    108
#define THING_LYNCHDCORPSEHL  109
#define THING_SITTINGCORPSE   110
#define THING_TWINEDTORCHLIT  116
#define THING_TWINEDTORCHULT  117
#define THING_MINOTSTATLIT    8042
#define THING_MINOTSTATULT    8043
#define THING_SKULLWFLAME     8060
#define THING_BRAZIERWFLAME   8061
#define THING_CAULDRONLIT     8069
#define THING_CAULDRONULT     8070
#define THING_BARREL          8100
#define THING_PILLARWVASE     103
#define THING_BATTLERAGBNNR   77
#define THING_IRONMAIDEN      8067
#define THING_HANGINGBUCKET   8103
#define THING_ICEGARGTLL      73
#define THING_ICEGARGSHT      76
#define THING_STONEGARGTLL    72
#define THING_STONEGARGSHT    74
#define THING_RUSTYGARGTLL    8044
#define THING_DLAVAGARGTLL    8045
#define THING_DLAVAGARGSHT    8049
#define THING_LLAVAGARGTLL    8046
#define THING_LLAVAGARGSHT    8050
#define THING_BRONZEGARGTLL   8047
#define THING_BRONZEGARGSHT   8051
#define THING_STEELGARGTLL    8048
#define THING_STEELGARGSHT    8052
#define THING_DEADTREE        24
#define THING_LEAFLESSTREE    25
#define THING_MOSSYTREE1      26
#define THING_MOSSYTREE2      27
#define THING_MOSSYDEADTREE   60
#define THING_TREESTUMPBRND   28
#define THING_TREESTUMPBARE   29
#define THING_TREELOG         88
#define THING_TALLTREE1       78
#define THING_TALLTREE2       79
#define THING_GNARLEDTREE1    80
#define THING_GNARLEDTREE2    87
#define THING_SHRUBSML        8101
#define THING_SHRUBLRG        8102
#define THING_DESTRUCTREE     8062
#define THING_EVERGRNTREE     8068
#define THING_STALAGMPILLAR   48
#define THING_STALAGMLRG      49
#define THING_STALAGMMED      50
#define THING_STALAGMSML      51
#define THING_STALACTLRG      52
#define THING_STALACTMED      56
#define THING_STALACTSML      57
#define THING_ICICLELRG       89
#define THING_ICICLEMED       90
#define THING_ICICLESML       91
#define THING_ICICLETNY       92
#define THING_ICESPIKELRG     93
#define THING_ICESPIKEMED     94
#define THING_ICESPIKESML     95
#define THING_ICESPIKETNY     96
#define THING_BROWNROCKLRG    97
#define THING_BROWNROCKSML    98
#define THING_BLACKROCK       99
#define THING_MOSSYROCKLRG    15
#define THING_BELL            8065
#define THING_POTTLL          104
#define THING_POTMED          105
#define THING_POTSHT          106
#define THING_SUITARMOR       8064

/* Decorations */
#define THING_CHANDELIERLIT   17
#define THING_CHANDELIERULT   8063
#define THING_WALLTORCHLIT    54
#define THING_WALLTORCHULT    55
#define THING_3CANDLESLIT     119
#define THING_BLUECANDLELIT   8066
#define THING_CANDLEWWEBULT   8502
#define THING_GRAYCANDLEULT   8503
#define THING_CANDLEWOWEBULT  8504
#define THING_SMLFLAMETMD     10500
#define THING_SMLFLAME        10501
#define THING_LRGFLAMETMD     10502
#define THING_LRGFLAME        10503
#define THING_CHAINSHT        8071
#define THING_CHAINLONG       8072
#define THING_CHAINWLRGHOOK   8074
#define THING_CHAINWSMLHOOK   8075
#define THING_CHAINWSPKBALL   8076
#define THING_HOOKWHEART      8073
#define THING_HOOKWSKULL      8077
#define THING_POOLBLOOD       111
#define THING_SLEEPINGCORPSE  62
#define THING_WOODENSTEIN     8500
#define THING_METALSTEIN      8501
#define THING_GOBLETSPILLED   8505
#define THING_GOBLETTLL       8506
#define THING_GOBLETSHT       8507
#define THING_GOBLETSILVER    8508
#define THING_MEATCLEAVER     8509
#define THING_MOSSYROCKTNY    6
#define THING_MOSSYROCKSML    7
#define THING_MOSSYROCKMED    9
#define THING_TREESTUMP1      37
#define THING_TREESTUMP2      38
#define THING_LARGEMUSHROOM1  39
#define THING_LARGEMUSHROOM2  40
#define THING_MEDIUMMUSHROOM  41
#define THING_SMALLMUSHROOM1  42
#define THING_SMALLMUSHROOM2  44
#define THING_SMALLMUSHROOM3  45
#define THING_SMALLMUSHROOM4  46
#define THING_SMALLMUSHROOM5  47
#define THING_HANGINGMOSS1    58
#define THING_HANGINGMOSS2    59
#define THING_BRICKRUBBLELRG  100
#define THING_BRICKRUBBLESML  101
#define THING_BRICKRUBBLEMED  102

/* Ambient sounds */
#define THING_SNDCREAK        1403
#define THING_SNDEARTH        1408
#define THING_SNDHEAVY        1401
#define THING_SNDICE          1407
#define THING_SNDLAVA         1405
#define THING_SNDMETAL        1402
#define THING_SNDMETAL2       1409
#define THING_SNDSILENCE      1404
#define THING_SNDSTONE        1400
#define THING_SNDWATER        1406
#define THING_SNDWIND         1410

/* Specials */
#define THING_MUSHROOM        8104
#define THING_SPIKE_UP        10091
#define THING_SPIKE_DN        10090
#define THING_TELEPSMOKE      140
#define THING_MAPSPOT         9001
#define THING_MAPSPOTGRAV     9013
#define THING_POLYANCHOR      3000
#define THING_POLYSPAWN       3001
#define THING_POLYSPAWNCR     3002
#define THING_GLITTBRIDGE     118
#define THING_BATSPAWNER      10225
#define THING_LEAFSPAWNER     113
#define THING_FOGPATCHLRG     10003
#define THING_FOGPATCHMED     10002
#define THING_FOGPATCHSML     10001
#define THING_FOGSPAWNER      10000

#endif /* THINGS_H */

/* vim:set noexpandtab tabstop=2 softtabstop=2 shiftwidth=2: */
