/*
	StriFe INFO.c processor, by Frans P. de Vries.

Derived from:

	DooM MaP StaTistics, by Frans P. de Vries.

	You are allowed to use any parts of this code in another program, as
	long as you give credits to the authors in the documentation and in
	the program itself.  Read the file README for more information.

	This program comes with absolutely no warranty.

	MAPS.C - Mappings of enums to strings
*/

//#include "info.h"
#include "../common/maps.h"
#include "p_mobj.h"

char *mobjstr[] = {
	"MT_FIELDGUARD",
	"MT_PLAYER",
	"MT_SHOPKEEPER_W",
	"MT_SHOPKEEPER_B",
	"MT_SHOPKEEPER_A",
	"MT_SHOPKEEPER_M",
	"MT_PEASANT2_A",
	"MT_PEASANT2_B",
	"MT_PEASANT2_C",
	"MT_PEASANT5_A",
	"MT_PEASANT5_B",
	"MT_PEASANT5_C",
	"MT_PEASANT4_A",
	"MT_PEASANT4_B",
	"MT_PEASANT4_C",
	"MT_PEASANT6_A",
	"MT_PEASANT6_B",
	"MT_PEASANT6_C",
	"MT_PEASANT3_A",
	"MT_PEASANT3_B",
	"MT_PEASANT3_C",
	"MT_PEASANT8_A",
	"MT_PEASANT8_B",
	"MT_PEASANT8_C",
	"MT_PEASANT7_A",
	"MT_PEASANT7_B",
	"MT_PEASANT7_C",
	"MT_PEASANT1",
	"MT_ZOMBIE",
	"MT_BECOMING",
	"MT_ZOMBIESPAWNER",
	"MT_HUGE_TANK_1",
	"MT_HUGE_TANK_2",
	"MT_HUGE_TANK_3",
	"MT_TANK_4",
	"MT_TANK_5",
	"MT_TANK_6",
	"MT_KNEELING_GUY",
	"MT_BEGGAR1",
	"MT_BEGGAR2",
	"MT_BEGGAR3",
	"MT_BEGGAR4",
	"MT_BEGGAR5",
	"MT_REBEL1",
	"MT_REBEL2",
	"MT_REBEL3",
	"MT_REBEL4",
	"MT_REBEL5",
	"MT_REBEL6",
	"MT_RLEADER",
	"MT_RLEADER2",
	"MT_MISSILESMOKE",
	"MT_REAVER",
	"MT_GUARD1",
	"MT_GUARD2",
	"MT_GUARD3",
	"MT_GUARD4",
	"MT_GUARD5",
	"MT_GUARD6",
	"MT_GUARD7",
	"MT_GUARD8",
	"MT_SHADOWGUARD",
	"MT_PGUARD",
	"MT_CRUSADER",
	"MT_BISHOP",
	"MT_ORACLE",
	"MT_PRIEST",
	"MT_SPECTRE_A",
	"MT_NODE",
	"MT_SPECTREHEAD",
	"MT_SPECTRE_B",
	"MT_SPECTRE_C",
	"MT_SPECTRE_D",
	"MT_SPECTRE_E",
	"MT_ENTITY",
	"MT_SUBENTITY",
	"MT_NEST",
	"MT_POD",
	"MT_SIGIL_B_SHOT",
	"MT_SIGIL_SB_SHOT",
	"MT_SIGIL_C_SHOT",
	"MT_SIGIL_SC_SHOT",
	"MT_SIGIL_E_OFFSHOOT",
	"MT_SIGIL_TRAIL",
	"MT_SIGIL_E_SHOT",
	"MT_SIGIL_SE_SHOT",
	"MT_SIGIL_A_ZAP_LEFT",
	"MT_SIGIL_A_ZAP_RIGHT",
	"MT_SIGIL_A_GROUND",
	"MT_SIGIL_D_SHOT",
	"MT_SIGIL_SD_SHOT",
	"MT_SENTINEL",
	"MT_STALKER",
	"MT_INQUISITOR",
	"MT_INQARM",
	"MT_PROGRAMMER",
	"MT_PROGRAMMERBASE",
	"MT_HOOKSHOT",
	"MT_CHAINSHOT",
	"MT_MINIMISSLE",
	"MT_C_MISSILE",
	"MT_SEEKMISSILE",
	"MT_ELECARROW",
	"MT_POISARROW",
	"MT_R_LASER",
	"MT_L_LASER",
	"MT_HEGRENADE",
	"MT_PGRENADE",
	"MT_INQGRENADE",
	"MT_PFLAME",
	"MT_TORPEDO",
	"MT_TORPEDOSPREAD",
	"MT_SFIREBALL",
	"MT_C_FLAME",
	"MT_STRIFEPUFF3",
	"MT_STRIFEPUFF",
	"MT_SPARKPUFF",
	"MT_BLOOD_DEATH",
	"MT_TFOG",
	"MT_IFOG",
	"MT_TELEPORTMAN",
	"MT_MISC_01",
	"MT_TURRET",
	"MT_GATE",
	"MT_COMPUTER",
	"MT_INV_MED1",
	"MT_INV_MED2",
	"MT_INV_MED3",
	"MT_DEGNINORE",
	"MT_INV_ARMOR2",
	"MT_INV_ARMOR1",
	"MT_MISC_22",
	"MT_MISC_11",
	"MT_KEY_BASE",
	"MT_GOVSKEY",
	"MT_KEY_TRAVEL",
	"MT_KEY_ID_BLUE",
	"MT_PRISONKEY",
	"MT_KEY_HAND",
	"MT_POWER1KEY",
	"MT_POWER2KEY",
	"MT_POWER3KEY",
	"MT_KEY_GOLD",
	"MT_KEY_ID_GOLD",
	"MT_KEY_SILVER",
	"MT_KEY_ORACLE",
	"MT_MILITARYID",
	"MT_KEY_ORDER",
	"MT_KEY_WAREHOUSE",
	"MT_KEY_BRASS",
	"MT_KEY_RED_CRYSTAL",
	"MT_KEY_BLUE_CRYSTAL",
	"MT_KEY_CHAPEL",
	"MT_CATACOMBKEY",
	"MT_SECURITYKEY",
	"MT_KEY_CORE",
	"MT_KEY_MAULER",
	"MT_KEY_FACTORY",
	"MT_KEY_MINE",
	"MT_NEWKEY5",
	"MT_INV_SHADOWARMOR",
	"MT_INV_SUIT",
	"MT_QUEST_UNIFORM",
	"MT_QUEST_GUARD_UNIFORM",
	"MT_INV_SUPERMAP",
	"MT_INV_RADAR",
	"MT_BEACON",
	"MT_INV_TARGETER",
	"MT_MONY_1",
	"MT_MONY_10",
	"MT_MONY_25",
	"MT_MONY_50",
	"MT_MONY_300",
	"MT_TOKEN_RING",
	"MT_INV_CHALICE",
	"MT_TOKEN_EAR",
	"MT_INV_COMMUNICATOR",
	"MT_AGREN",
	"MT_APGREN",
	"MT_ACLIP",
	"MT_AAMMOBOX",
	"MT_AMINI",
	"MT_AMINIBOX",
	"MT_ACELL",
	"MT_APCELL",
	"MT_APAROW",
	"MT_AAROW",
	"MT_INV_SATCHEL",
	"MT_PULSE",
	"MT_RIFLESTAND",
	"MT_FLAMETHROWER",
	"MT_TOKEN_FLAME_THROWER_PARTS",
	"MT_MISSILELAUNCHER",
	"MT_BLASTER",
	"MT_CROSSBOW",
	"MT_GRENADELAUNCHER",
	"MT_SIGIL_A",
	"MT_SIGIL_B",
	"MT_SIGIL_C",
	"MT_SIGIL_D",
	"MT_SIGIL_E",
	"MT_POWER_CRYSTAL",
	"MT_RAT",
	"MT_MISC_05",
	"MT_MISC_06",
	"MT_MISC_15",
	"MT_LIGHT14",
	"MT_LIGHT13",
	"MT_LIGHT12",
	"MT_LIGHT18",
	"MT_PILLAR2",
	"MT_PILLAR3",
	"MT_PILLAR4",
	"MT_PILLAR5",
	"MT_PILLAR6",
	"MT_PILLAR7",
	"MT_CAVE2",
	"MT_CAVE3",
	"MT_CAVE4",
	"MT_CAVE6",
	"MT_CAVE7",
	"MT_CAVE5",
	"MT_LIGHT2",
	"MT_LIGHT3",
	"MT_MISC_03",
	"MT_MISC_13",
	"MT_MISC_02",
	"MT_MISC_07",
	"MT_BIO2",
	"MT_TELEPORTSTAND",
	"MT_DEADTHING1",
	"MT_DEADTHING2",
	"MT_DEADTHING3",
	"MT_DEADTHING4",
	"MT_DEADTHING5",
	"MT_DEADTHING6",
	"MT_BIO1",
	"MT_GIBS",
	"MT_MISC_04",
	"MT_LIGHT11",
	"MT_LIGHT10",
	"MT_LIGHT9",
	"MT_LIGHT8",
	"MT_MISC_14",
	"MT_LIGHT1",
	"MT_PILLAR8",
	"MT_PILLAR9",
	"MT_LIGHT15",
	"MT_LIGHT4",
	"MT_LIGHT5",
	"MT_ROCK1",
	"MT_ROCK2",
	"MT_ROCK3",
	"MT_ROCK4",
	"MT_TREE7",
	"MT_RUBBLE1",
	"MT_RUBBLE2",
	"MT_RUBBLE3",
	"MT_RUBBLE4",
	"MT_RUBBLE5",
	"MT_RUBBLE6",
	"MT_RUBBLE7",
	"MT_RUBBLE8",
	"MT_MISC_08",
	"MT_LIGHT6",
	"MT_LIGHT7",
	"MT_TREE2",
	"MT_TREE3",
	"MT_TREE4",
	"MT_TREE1",
	"MT_TREE6",
	"MT_TREE5",
	"MT_CAVE1",
	"MT_PILLAR1",
	"MT_MISC_10",
	"MT_MISC_09",
	"MT_MISC_17",
	"MT_MISC_18",
	"MT_MISC_19",
	"MT_MISC_20",
	"MT_LIGHT16",
	"MT_LIGHT17",
	"MT_MISC_21",
	"MT_MISC_12",
	"MT_MISC_26",
	"MT_MISC_23",
	"MT_MISC_24",
	"MT_MISC_25",
	"MT_COUPLING",
	"MT_COUPLING_BROKEN",
	"MT_PILLAR10",
	"MT_PILLAR11",
	"MT_PILLAR12",
	"MT_PILLAR13",
	"MT_LIGHT19",
	"MT_MEAT",
	"MT_JUNK",
	"MT_BURNDROP",
	"MT_TOKEN_AMMO",
	"MT_TOKEN_HEALTH",
	"MT_TOKEN",
	"MT_TOKEN_ALARM",
	"MT_TOKEN_DOOR1",
	"MT_TOKEN_SHOPCLOSE",
	"MT_TOKEN_PRISON_PASS",
	"MT_TOKEN_DOOR3",
	"MT_TOKEN_STAMINA",
	"MT_TOKEN_NEW_ACCURACY",
	"MT_TOKEN_REPORT",
	"MT_TOKEN_TOUGHNESS",
	"MT_TOKEN_ACCURACY",
	"MT_TOKEN_ORACLE_PASS",
	"MT_TOKEN_QUEST1",
	"MT_TOKEN_QUEST2",
	"MT_TOKEN_QUEST3",
	"MT_TOKEN_QUEST4",
	"MT_TOKEN_QUEST5",
	"MT_TOKEN_QUEST6",
	"MT_TOKEN_QUEST7",
	"MT_TOKEN_QUEST8",
	"MT_TOKEN_QUEST9",
	"MT_TOKEN_QUEST10",
	"MT_TOKEN_QUEST11",
	"MT_TOKEN_QUEST12",
	"MT_TOKEN_QUEST13",
	"MT_TOKEN_CRYSTAL",
	"MT_TOKEN_QUEST15",
	"MT_GATEQUEST",
	"MT_TOKEN_QUEST17",
	"MT_TOKEN_QUEST18",
	"MT_TOKEN_QUEST19",
	"MT_TOKEN_QUEST20",
	"MT_TOKEN_BISHOP",
	"MT_TOKEN_QUEST22",
	"MT_TOKEN_ORACLE",
	"MT_TOKEN_MACIL",
	"MT_TOKEN_QUEST25",
	"MT_TOKEN_LOREMASTER",
	"MT_SECRQUEST",
	"MT_TOKEN_QUEST28",
	"MT_TOKEN_QUEST29",
	"MT_TOKEN_QUEST30",
	"MT_TOKEN_QUEST31",
	"MT_SLIDESHOW",
	"MT_BLOOD_GORE",  /* VE items */
	"MT_INV_BLUE_CHALICE",
	"MT_CTC_FLAGSPOT_BLUE",
	"MT_CTC_FLAGSPOT_RED",
	"MT_AZTECARTI_RED",
	"MT_AZTECARTI_GREEN",
	"MT_AZTECARTI_BLUE",
	"MT_TOKEN_DOOR4",
	"MT_ORE_SPAWNER",
};

#define NUMWEAPS 11
int iNUMWEAPS = NUMWEAPS;

char *weaponstr[NUMWEAPS] = {
	"Punch dagger",
	"Crossbow (Electric)",
	"Assault rifle",
	"Mini-missile launcher",
	"Grenade launcher (Explosive)",
	"Flamethrower",
	"Mauler (hitscan)",
	"The Sigil",
	"Crossbow (Poison)",
	"Grenade launcher (Phosphorous)",
	"Mauler (torpedo)",
};


#define NUMFLAGS 32
int iNUMFLAGS = NUMFLAGS;

mflagstr_t mflagstr[NUMFLAGS] = {
/*  0 */ { MF_SPECIAL     , "Can be picked up" },
/*  1 */ { MF_SOLID       , "Obstacle" },
/*  2 */ { MF_SHOOTABLE   , "Shootable" },
/*  3 */ { MF_NOSECTOR    , "No sector links (Invisible)" },
/*  4 */ { MF_NOBLOCKMAP  , "No blocklinks (Inert)" },
/*  5 */ { MF_STAND       , "Stand around" },
/*  6 */ { MF_JUSTHIT     , "Just hit (In pain)" },
/*  7 */ { MF_JUSTATTACKED, "Just attacked (Step first)" },
/*  8 */ { MF_SPAWNCEILING, "Hangs from ceiling" },
/*  9 */ { MF_NOGRAVITY   , "No gravity" },
/* 10 */ { MF_DROPOFF     , "Drops off ledges" },
/* 11 */ { MF_GIVEQUEST   , "Quest item" },
/* 12 */ { MF_NOCLIP      , "No clipping" },
/* 13 */ { MF_FEETCLIPPED , "Feet are being clipped" },
/* 14 */ { MF_FLOAT       , "Floating" },
/* 15 */ { MF_NODIALOG    , "Can NPC talk" },
/* 16 */ { MF_MISSILE     , "Projectile" },
/* 17 */ { MF_DROPPED     , "Dropped by enemy" },
/* 18 */ { MF_SHADOW      , "Partial invisibility" },
/* 19 */ { MF_NOBLOOD     , "Puffs vs. blood" },
/* 20 */ { MF_CORPSE      , "Sliding corpse" },
/* 21 */ { MF_INFLOAT     , "No auto-leveling" },
/* 22 */ { MF_COUNTKILL   , "Affects kill %" },
/* 23 */ { MF_AMBUSH      , "Ambush (Semi-deaf)" },
/* 24 */ { MF_BOUNCE      , "Bouncing projectile" },
/* 25 */ { MF_NOTDMATCH   , "Not in deathmatch" },
/* 26 */ { MF_ALLY        , "Allied player" },
/* 27 */ { MF_MVIS        , "Transparency" },
/* 28 */ { MF_COLORSWAP1  , "Color swap 1" },
/* 29 */ { MF_COLORSWAP2  , "Color swap 2" },
/* 30 */ { MF_COLORSWAP3  , "Color swap 3" },
/* 31 */ { MF_SPECTRAL    , "Spectral entity" },
};

#ifdef MOBJTRANSLATION

#define NUMFLAGS2 7
int iNUMFLAGS2 = NUMFLAGS2;

mflagstr_t mflag2str[NUMFLAGS2] = {
/*  0 */ { MF2_NOSTONECOLD      , "Survives STONECOLD cheat" },
/*  1 */ { MF2_DRAWBILLBOARD    , "Render as billboard" },
/*  2 */ { MF2_DRAWOUTLINE      , "Outline around sprite" },
/*  3 */ { MF2_NOTHINGBLOCK     , "Not collide w/ other mobjs" },
/*  4 */ { MF2_MARKDECAL        , "Leave some decal" },
/*  5 */ { MF2_NOREBELATTACK    , "No rebel attack w/o provocation" },
/*  6 */ { MF2_IGNORENOMONSTERS , "Always spawn at -nomonsters" },
};

#endif

#define NUMMONST 68
int iNUMMONST = NUMMONST;

monststr_t monststr[NUMMONST] = {
	{ MT_SHOPKEEPER_W, "Weapon smith" },
	{ MT_SHOPKEEPER_B, "Barkeep" },
	{ MT_SHOPKEEPER_A, "Armorer" },
	{ MT_SHOPKEEPER_M, "Medic" },
	{ MT_PEASANT2_A  , "Peasant Tan 1" },
	{ MT_PEASANT2_B  , "Peasant Tan 2" },
	{ MT_PEASANT2_C  , "Peasant Tan 3" },
	{ MT_PEASANT5_A  , "Peasant Red 1" },
	{ MT_PEASANT5_B  , "Peasant Red 2" },
	{ MT_PEASANT5_C  , "Peasant Red 3" },
	{ MT_PEASANT4_A  , "Peasant Gray 1" },
	{ MT_PEASANT4_B  , "Peasant Gray 2" },
	{ MT_PEASANT4_C  , "Peasant Gray 3" },
	{ MT_PEASANT6_A  , "Peasant Rust 1" },
	{ MT_PEASANT6_B  , "Peasant Rust 2" },
	{ MT_PEASANT6_C  , "Peasant Rust 3" },
	{ MT_PEASANT3_A  , "Peasant Dark Green 1" },
	{ MT_PEASANT3_B  , "Peasant Dark Green 2" },
	{ MT_PEASANT3_C  , "Peasant Dark Green 3" },
	{ MT_PEASANT8_A  , "Peasant Light Green 1" },
	{ MT_PEASANT8_B  , "Peasant Light Green 2" },
	{ MT_PEASANT8_C  , "Peasant Light Green 3" },
	{ MT_PEASANT7_A  , "Peasant Gold 1" },
	{ MT_PEASANT7_B  , "Peasant Gold 2" },
	{ MT_PEASANT7_C  , "Peasant Gold 3" },
	{ MT_PEASANT1    , "Peasant Blue" },
	{ MT_BECOMING    , "Becoming Acolyte" },
	{ MT_KNEELING_GUY, "Kneeling Guy" },
	{ MT_BEGGAR1     , "Beggar 1" },
	{ MT_BEGGAR2     , "Beggar 2" },
	{ MT_BEGGAR3     , "Beggar 3" },
	{ MT_BEGGAR4     , "Beggar 4" },
	{ MT_BEGGAR5     , "Beggar 5" },
	{ MT_REBEL1      , "Rebel 1" },
	{ MT_REBEL2      , "Rebel 2" },
	{ MT_REBEL3      , "Rebel 3" },
	{ MT_REBEL4      , "Rebel 4" },
	{ MT_REBEL5      , "Rebel 5" },
	{ MT_REBEL6      , "Rebel 6" },
	{ MT_RLEADER     , "Macil" },
	{ MT_RLEADER2    , "Macil Spectre" },
	{ MT_REAVER      , "Reaver" },
	{ MT_GUARD1      , "Acolyte (tan)" },
	{ MT_GUARD2      , "Acolyte (red)" },
	{ MT_GUARD3      , "Acolyte (rust)" },
	{ MT_GUARD4      , "Acolyte (gray)" },
	{ MT_GUARD5      , "Acolyte (dark green)" },
	{ MT_GUARD6      , "Acolyte (gold)" },
	{ MT_GUARD7      , "Acolyte (light green)" },
	{ MT_GUARD8      , "Acolyte (blue)" },
	{ MT_SHADOWGUARD , "Shadow Acolyte" },
	{ MT_PGUARD      , "Templar" },
	{ MT_CRUSADER    , "Crusader" },
	{ MT_BISHOP      , "Bishop" },
	{ MT_SPECTRE_A   , "Spectre (Programmer)" },
	{ MT_SPECTRE_B   , "Spectre (Bishop)" },
	{ MT_SPECTRE_C   , "Spectre (Oracle)" },
	{ MT_SPECTRE_D   , "Spectre (Macil)" },
	{ MT_SPECTRE_E   , "Spectre (Loremaster)" },
	{ MT_ENTITY      , "Entity" },
	{ MT_SUBENTITY   , "Subentity" },
	{ MT_SENTINEL    , "Sentinel" },
	{ MT_STALKER     , "Stalker" },
	{ MT_PROGRAMMER  , "Programmer" },
	{ MT_TURRET      , "Ceiling turret" },
	{ MT_MISC_05     , "Wooden barrel" },
	{ MT_MISC_06     , "Exploding barrel" },
	{ MT_MISC_15     , "Practice Target" },
};

/* vim:set noexpandtab tabstop=2 softtabstop=2 shiftwidth=2: */
